/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.removeduplicateshashmap;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveDuplicatesHashmap {

        public static void main(String[] args) {
        // Create a sample HashMap with duplicate values
        HashMap<Integer, String> originalMap = new HashMap<Integer, String>();
        originalMap.put(1, "Apple");
        originalMap.put(2, "Banana");
        originalMap.put(3, "Cherry");
        originalMap.put(4, "Banana"); // Duplicate
        originalMap.put(5, "Orange");
        originalMap.put(6, "Apple"); // Duplicate

        // Create a new HashMap to store non-duplicate entries
        HashMap<Integer, String> nonDuplicateMap = new HashMap<Integer, String>();

        // Iterate through the entries of the original HashMap
        for (Map.Entry<Integer, String> entry : originalMap.entrySet()) {
            Integer key = entry.getKey();
            String value = entry.getValue();

            // Check if the value is not already present in the nonDuplicateMap
            if (!nonDuplicateMap.containsValue(value)) {
                nonDuplicateMap.put(key, value);
            }
        }

        // Print the non-duplicate HashMap
        System.out.println("Original HashMap:");
        System.out.println(originalMap);

        System.out.println("\nHashMap without Duplicates:");
        System.out.println(nonDuplicateMap);
    }
}